---@meta posix.sys.wait

---@class posix_sys_wait*
---@field version string
---@field WNOHANG integer
---@field WUNTRACED integer
---@type posix_sys_wait*
local M = {}

---@param pid? integer 子进程 pid，默认 -1 表示任意子进程。
---@param options? integer `WNOHANG`、`WUNTRACED` 等标志位。
---@return integer? pid 运行中或已结束的 pid。
---@return "running"|"exited"|"killed"|"stopped"|string? reason 状态或错误信息。
---@return integer? status 退出码、信号码或 errno。
function M.wait(pid, options) end

return M
